## libkdegames 18.04.0

=== debian/changelog ===
libkdegames (4:18.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Update symbols files.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Use https for Format in copyright.
  * Run the test suite at build time:
    - add the xauth, and xvfb build dependencies
    - run dh_auto_test using xvfb-run
  * Remove the unused & no more useful autopkgtest stuff.
  * Do not install the upstream README file as documentation in
    kdegames-card-data-kf5, as it is not useful.

 -- Pino Toscano <pino@debian.org>  Tue, 08 May 2018 09:57:46 +0200

libkdegames (4:17.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols files.
  * Tighten the inter-library dependencies.
  * Bump Standards-Version to 4.1.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Feb 2018 21:30:14 +0100
