## libkdegames 18.12.3

=== debian/changelog ===
libkdegames (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:34:26 +0000

libkdegames (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:21:26 +0000

libkdegames (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:15:01 +0000

libkdegames (4:18.12.0-0ubuntu1) disco; urgency=medium

  * Install libkdegames.categories file.
  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:53:16 +0000

libkdegames (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3).
  * Merge Debian changes. Remaining changes:
    - data package for translations.
    - Kubuntu Vcs fields.
    - Bumped build depends.
    - l10n Breaks/Replaces suitable for Kubuntu.
    - Keep our symbols files.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 09 Dec 2018 08:16:32 +0000
