=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
            Sune Vuorela <sune@debian.org>,
-           Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <gkiagiad@csd.uoc.gr>,
            Eshat Cakar <info@eshat.de>,
-           Maximiliano Curia <maxy@debian.org>
+           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 5.31.0~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5bookmarks-dev (>= 5.31.0~),
@@ -29,7 +28,6 @@
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5jobwidgets-dev (>= 5.31.0~),
-               libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5service-dev (>= 5.31.0~),
@@ -42,18 +40,19 @@
                pkg-kde-tools (>= 0.14),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
-Standards-Version: 3.9.6
+               xauth,
+               xvfb,
+Standards-Version: 4.1.4
 Homepage: http://games.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
 
-Package: libkf5kdegames7
-Architecture: any
-Depends: libkf5kdegames-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: shared library for KDE games
- This package contains a shared library used by KDE games.
+Package: kdegames-card-data-kf5
+Architecture: all
+Section: games
+Depends: ${misc:Depends}
+Description: card decks for KDE games
+ This package contains a collection of playing card themes for KDE card games.
  .
  This package is part of the KDE games module.
 
@@ -63,6 +62,31 @@
 Breaks: ${kde-l10n:all}
 Replaces: ${kde-l10n:all}
 Description: shared library for KDE games - data files
+ This package contains a shared library used by KDE games.
+ .
+ This package is part of the KDE games module.
+
+Package: libkf5kdegames-dev
+Architecture: any
+Section: libdevel
+Depends: libkf5completion-dev (>= 5.31.0~),
+         libkf5declarative-dev (>= 5.31.0~),
+         libkf5kdegames7 (= ${binary:Version}),
+         libkf5kdegamesprivate1 (= ${binary:Version}),
+         qtbase5-dev (>= 5.6.1~),
+         ${misc:Depends},
+Description: development files for the KDE games library
+ This package contains development files for building software that uses
+ libraries from the KDE games module.
+ .
+ This package is part of the KDE games module.
+
+Package: libkf5kdegames7
+Architecture: any
+Depends: libkf5kdegames-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: shared library for KDE games
  This package contains a shared library used by KDE games.
  .
  This package is part of the KDE games module.
@@ -85,27 +109,3 @@
  in QML.
  .
  This package is part of the KDE games module.
-
-Package: libkf5kdegames-dev
-Architecture: any
-Section: libdevel
-Depends: libkf5completion-dev (>= 5.31.0~),
-         libkf5declarative-dev (>= 5.31.0~),
-         libkf5kdegames7 (= ${binary:Version}),
-         libkf5kdegamesprivate1 (= ${binary:Version}),
-         qtbase5-dev (>= 5.6.1~),
-         ${misc:Depends},
-Description: development files for the KDE games library
- This package contains development files for building software that uses
- libraries from the KDE games module.
- .
- This package is part of the KDE games module.
-
-Package: kdegames-card-data-kf5
-Architecture: all
-Section: games
-Depends: ${misc:Depends}
-Description: card decks for KDE games
- This package contains a collection of playing card themes for KDE card games.
- .
- This package is part of the KDE games module.
