## libkdegames 19.08.1

=== debian/changelog ===
libkdegames (4:19.08.1-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files with the logs of buildds.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Fix the dependencies of libkf5kdegames-dev according to the cmake
    requirements:
    - remove libkf5declarative-dev
    - add libkf5config-dev, libkf5configwidgets-dev, libkf5i18n-dev,
      libkf5widgetsaddons-dev, and qtdeclarative5-dev

 -- Pino Toscano <pino@debian.org>  Sun, 06 Oct 2019 12:24:36 +0200

libkdegames (4:19.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Add some Multi-Arch annotations.
  * Drop the migration from libkf5kdegames-dbg, no more needed after two
    Debian stable releases.
  * Update symbols files.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5.0
    - bump Qt packages to 5.9.0
    - bump KF5 packages to 5.46.0
    - remove libkf5kio-dev
    - explicitly add gettext
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Sep 2019 10:21:41 +0200
